# Generated by Django 3.2 on 2021-04-12 04:22

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Farmacia',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ds_farmacia', models.CharField(max_length=45)),
                ('no_cnpj', models.CharField(max_length=45)),
                ('ds_razao_social', models.CharField(max_length=45)),
                ('dt_inc', models.DateTimeField(blank=True, default=datetime.datetime.now)),
                ('dt_alt', models.DateTimeField(blank=True, default=datetime.datetime.now)),
            ],
        ),
        migrations.CreateModel(
            name='Marker',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=45)),
                ('lat', models.IntegerField()),
                ('lng', models.IntegerField()),
                ('snippet', models.CharField(max_length=45)),
            ],
        ),
        migrations.CreateModel(
            name='Produtos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ds_produto', models.CharField(max_length=45)),
                ('ds_observacao', models.CharField(max_length=45)),
                ('ds_tipo', models.CharField(max_length=45)),
                ('ds_peso', models.CharField(max_length=45)),
                ('qt_unidade', models.CharField(max_length=45)),
                ('ds_classificacao', models.CharField(max_length=45)),
                ('ds_prescricaomedica', models.BooleanField(default=False)),
                ('ds_quantidade_disp', models.IntegerField()),
                ('ds_bula', models.CharField(max_length=45)),
                ('farmacia', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='farmacia_id', to='tripharmacyapp.farmacia')),
            ],
        ),
        migrations.CreateModel(
            name='Solicitacao',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ds_quantidade', models.IntegerField()),
                ('ds_status', models.CharField(max_length=45)),
                ('dt_inc', models.DateTimeField(blank=True, default=datetime.datetime.now)),
                ('dt_alt', models.DateTimeField(blank=True, default=datetime.datetime.now)),
                ('produto', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='produto_id', to='tripharmacyapp.produtos')),
                ('usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='usuario_id', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='farmacia',
            name='maker',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='marker_id', to='tripharmacyapp.marker'),
        ),
    ]
